Bug 868677 - No sound after suspend
No sound after suspend
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
http://git.kernel.org/?p=linux/kernel...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-21 12:37 EDT by John Anderson
Modified: 2012-11-12 15:53 EST (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 861117
Environment:
Last Closed: 2012-11-12 15:53:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Anderson 2012-10-21 12:37:05 EDT
+++ This bug was initially created as a clone of Bug #861117 +++

Description of problem:
After waking up from suspend, there is no sound, until plugging the speakers out of the line out jack, and plugging back in.

Version-Release number of selected component (if applicable):
This has been a persistent problem with all updates since F17.

How reproducible:
Every time

Steps to Reproduce:
1. Suspend (probably after accessing the sound output at least once, but that always happens with startup sound of the window manager)
2. Wake up
3. Play sound
  
Actual results:
No sound

Expected results:
Hear sound

Additional info:
I tried the solution in Bug #652753, but switching to another virtual terminal and back solved nothing (plus, even then, it would be a bug).

Here is some hardware info:

# cat /proc/asound/modules
 0 snd_usb_audio
 1 snd_hda_intel
 2 snd_hda_intel
# lspci
00:00.0 Host bridge: Advanced Micro Devices [AMD] RS880 Host Bridge
00:01.0 PCI bridge: ASUSTeK Computer Inc. RS880 PCI to PCI bridge (int gfx)
00:0a.0 PCI bridge: Advanced Micro Devices [AMD] RS780/RS880 PCI to PCI bridge (PCIE port 5)
00:11.0 SATA controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 SATA Controller [IDE mode]
00:12.0 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:12.1 USB Controller: ATI Technologies Inc SB7x0 USB OHCI1 Controller
00:12.2 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB EHCI Controller
00:13.0 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:13.1 USB Controller: ATI Technologies Inc SB7x0 USB OHCI1 Controller
00:13.2 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB EHCI Controller
00:14.0 SMBus: ATI Technologies Inc SBx00 SMBus Controller (rev 3c)
00:14.1 IDE interface: ATI Technologies Inc SB7x0/SB8x0/SB9x0 IDE Controller
00:14.2 Audio device: ATI Technologies Inc SBx00 Azalia (Intel HDA)
00:14.3 ISA bridge: ATI Technologies Inc SB7x0/SB8x0/SB9x0 LPC host controller
00:14.4 PCI bridge: ATI Technologies Inc SBx00 PCI to PCI Bridge
00:14.5 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
00:18.0 Host bridge: Advanced Micro Devices [AMD] Family 10h Processor HyperTransport Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] Family 10h Processor Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] Family 10h Processor DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] Family 10h Processor Miscellaneous Control
00:18.4 Host bridge: Advanced Micro Devices [AMD] Family 10h Processor Link Control
01:05.0 VGA compatible controller: ATI Technologies Inc RS880 [Radeon HD 4250]
01:05.1 Audio device: ATI Technologies Inc RS880 Audio Device [Radeon HD 4200]
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 06)

--- Additional comment from sontek@gmail.com on 2012-10-21 12:28:35 EDT ---

I have the same issue, if I'm using sound or have been using sound, then go into suspend, when I return I no longer have audio.

I didn't notice this problem until the last month, so I believe it was introduced with updates.

I'm running a Thinkpad T530

lspci | grep -i audio
00:1b.0 Audio device: Intel Corporation Panther Point High Definition Audio Controller (rev 04)


lsmod |grep snd
snd_hda_codec_realtek    77994  1 
snd_hda_intel          37618  4 
snd_hda_codec         126889  2 snd_hda_codec_realtek,snd_hda_intel
snd_hwdep              17650  1 snd_hda_codec
snd_seq                64844  0 
snd_seq_device         14136  1 snd_seq
snd_pcm                97459  3 snd_hda_codec,snd_hda_intel
snd_page_alloc         18101  2 snd_pcm,snd_hda_intel
snd_timer              28690  2 snd_pcm,snd_seq
snd                    79242  16 snd_hda_codec_realtek,snd_hwdep,snd_timer,snd_pcm,snd_seq,snd_hda_codec,snd_hda_intel,thinkpad_acpi,snd_seq_device
soundcore              14491  1 snd


uname -a
Linux fuerte 3.6.2-4.fc17.x86_64 #1 SMP Wed Oct 17 02:43:21 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux


cat /proc/asound/modules 
 0 snd_hda_intel
29 thinkpad_acpi

--- Additional comment from sontek@gmail.com on 2012-10-21 12:31:20 EDT ---

Created attachment 630929 [details]
This is a pulseaudio -vvvv output

--- Additional comment from sontek@gmail.com on 2012-10-21 12:32:57 EDT ---

It also thinks the audio is being used:

sudo modprobe -r snd-hda-intel
FATAL: Module snd_hda_intel is in use.

Even though I am not using it.
Comment 1 Felix Kaechele 2012-10-21 14:00:47 EDT
I'm seeing this on my ThinkPad X230 as well. But it is highly likely that this is not a pulseaudio bug (therefor reassigning to kernel).

Short testing using ALSA's HDA Analyzer tells me it's probably this: http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=f7f4b2322bf7b8c5929b7eb5a667091f32592580

I didn't find the time to test the patch yet, however it was pulled into what will become 3.6.3, anyway. So we might just wait for that to test.
Comment 2 Maxim Burgerhout 2012-10-23 15:30:22 EDT
FYI, the kernel that is now in updates-testing[1] fixes this for me, on my T530. 

[1] https://admin.fedoraproject.org/updates/FEDORA-2012-16669/kernel-3.6.3-1.fc17
Comment 3 Fedora Update System 2012-10-24 13:02:31 EDT
kernel-3.6.3-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-16787/kernel-3.6.3-3.fc18
Comment 4 Josh Boyer 2012-11-12 15:53:03 EST
This is in the latest stable updates.  Bodhi is having trouble closing bugs.

Note You need to log in before you can comment on or make changes to this bug.